# Guile bindings for GNU Gettext's libgettextpo.
# Copyright © 2019 Miguel Ángel Arruga Vivas <rosen644835@gmail.com>
#
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This software is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this software.  If not, see <http://www.gnu.org/licenses/>.

EXTRA_DIST +=			\
	%D%/config.rpath	\
	%D%/gitlog-to-changelog	\
	%D%/guix.scm		\
	%D%/pre-inst-env.in	\
	%D%/test-driver.scm	\
	%D%/test-env.in


.PHONY: gen-ChangeLog
dist-hook: gen-ChangeLog

# From gnulib
gen-ChangeLog:
	$(AM_V_GEN)if test -d .git; then			\
	  $(top_srcdir)/build-aux/gitlog-to-changelog		\
		> "$(distdir)/cl-t" &&				\
	  { rm -f "$(distdir)/ChangeLog" &&			\
	    mv "$(distdir)/cl-t" "$(distdir)/ChangeLog"; };	\
	fi
